import { NgModule } from '@angular/core';
import {  RouterModule, Routes } from '@angular/router';


const routes: Routes = [
  { path: '', redirectTo: 'login', pathMatch: 'full' },
//  { path: '', redirectTo: 'order-approval', pathMatch: 'full' },
{ path: 'login', loadChildren: () => import('./login/login.module').then(m => m.LoginPageModule) },
{ path: 'profile', loadChildren: () => import('./profile/profile.module').then(m => m.ProfilePageModule) },
{ path: 'bom', loadChildren: () => import('./bom/bom.module').then(m => m.BomPageModule) },
{ path: 'readertest', loadChildren: () => import('./readertest/readertest.module').then(m => m.ReadertestPageModule) },
{ path: 'joblist', loadChildren: () => import('./joblist/joblist.module').then(m => m.JoblistPageModule) },
{ path: 'job/:jobid', loadChildren: () => import('./job/job.module').then(m => m.JobPageModule) },
{ path: 'jobdetails/:jobid', loadChildren: () => import('./jobdetails/jobdetails.module').then(m => m.JobdetailsPageModule) },
{ path: 'jobtransfer/:jobid', loadChildren: () => import('./jobtransfer/jobtransfer.module').then(m => m.JobtransferPageModule) },
{ path: 'options', loadChildren: () => import('./options/options.module').then(m => m.OptionsPageModule) },
{ path: 'newcustomer', loadChildren: () => import('./newcustomer/newcustomer.module').then(m => m.NewcustomerPageModule) },
{ path: 'productsearch', loadChildren: () => import('./productsearch/productsearch.module').then(m => m.ProductsearchPageModule) },
{ path: 'existingcustomer', loadChildren: () => import('./existingcustomer/existingcustomer.module').then(m => m.ExistingcustomerPageModule) },
{ path: 'neworder', loadChildren: () => import('./neworder/neworder.module').then(m => m.NeworderPageModule) },
{ path: 'addeditproduct', loadChildren: () => import('./addeditproduct/addeditproduct.module').then(m => m.AddeditproductPageModule) },
{ path: 'home', loadChildren: () => import('./home/home.module').then(m => m.HomePageModule) },
{ path: 'existingorder', loadChildren: () => import('./existingorder/existingorder.module').then(m => m.ExistingorderPageModule) },
{ path: 'business-partner-address', loadChildren: () => import('./business-partner-address/business-partner-address.module').then(m => m.BusinessPartnerAddressPageModule) },
{ path: 'addedit-business-partner-address', loadChildren: () => import('./addedit-business-partner-address/addedit-business-partner-address.module').then(m => m.AddeditBusinessPartnerAddressPageModule) },
{ path: 'login-option', loadChildren: () => import('./login-option/login-option.module').then(m => m.LoginOptionPageModule) },
{ path: 'use-vetcoins', loadChildren: () => import('./use-vetcoins/use-vetcoins.module').then(m => m.UseVetcoinsPageModule) },
{ path: 'use-vetcoins-balance', loadChildren: () => import('./use-vetcoins-balance/use-vetcoins-balance.module').then(m => m.UseVetcoinsBalancePageModule) },
{ path: 'use-vetcoins-redemption', loadChildren: () => import('./use-vetcoins-redemption/use-vetcoins-redemption.module').then(m => m.UseVetcoinsRedemptionPageModule) },
{ path: 'about', loadChildren: () => import('./about/about.module').then(m => m.AboutPageModule) },
{ path: 'use-vetcoins-transaction', loadChildren: () => import('./use-vetcoins-transaction/use-vetcoins-transaction.module').then(m => m.UseVetcoinsTransactionPageModule) },
{ path: 'order-status', loadChildren: () => import('./order-status/order-status.module').then(m => m.OrderStatusPageModule) },
{ path: 'settings', loadChildren: () => import('./settings/settings.module').then(m => m.SettingsPageModule) },
{ path: 'location-finder', loadChildren: () => import('./location-finder/location-finder.module').then(m => m.LocationFinderPageModule) },
  // { path: 'settings', loadChildren: './hrms/mpr-list/mpr-list.module#MprListPageModule' },
{ path: 'travel-expense', loadChildren: () => import('./travel-expense/travel-expense.module').then(m => m.TravelExpensePageModule) },
{ path: 'travel-plan-closure', loadChildren: () => import('./travel-plan-closure/travel-plan-closure.module').then(m => m.TravelPlanClosurePageModule) },
{ path: 'travel-plan', loadChildren: () => import('./travel-plan/travel-plan.module').then(m => m.TravelPlanPageModule) },
{ path: 'addedit-travel-plan', loadChildren: () => import('./addedit-travel-plan/addedit-travel-plan.module').then(m => m.AddeditTravelPlanPageModule) },
{ path: 'lat-long-finder', loadChildren: () => import('./lat-long-finder/lat-long-finder.module').then(m => m.LatLongFinderPageModule) },
{ path: 'actual-travel-plan', loadChildren: () => import('./actual-travel-plan/actual-travel-plan.module').then(m => m.ActualTravelPlanPageModule) },
{ path: 'addedit-actual-travel-plan', loadChildren: () => import('./addedit-actual-travel-plan/addedit-actual-travel-plan.module').then(m => m.AddeditActualTravelPlanPageModule) },
{ path: 'terms-of-agreement', loadChildren: () => import('./terms-of-agreement/terms-of-agreement.module').then(m => m.TermsOfAgreementPageModule) },
{ path: 'addedit-travel-expense', loadChildren: () => import('./addedit-travel-expense/addedit-travel-expense.module').then(m => m.AddeditTravelExpensePageModule) },
{ path: 'order-approval', loadChildren: () => import('./order-approval/order-approval.module').then(m => m.OrderApprovalPageModule) },
{ path: 'filter', loadChildren: () => import('./filter/filter.module').then(m => m.FilterPageModule) },
{ path: 'sort', loadChildren: () => import('./sort/sort.module').then(m => m.SortPageModule) },
{ path: 'show-approval-details-modal', loadChildren: () => import('./order-approval/show-approval-details-modal/show-approval-details-modal.module').then(m => m.ShowApprovalDetailsModalPageModule) },
{ path: 'scheme-information', loadChildren: () => import('./scheme-information/scheme-information.module').then(m => m.SchemeInformationPageModule) },
{ path: 'customer-service', loadChildren: () => import('./cardinal/customer-service/customer-service.module').then(m => m.CustomerServicePageModule) },
{ path: 'service-manager', loadChildren: () => import('./cardinal/service-manager/service-manager.module').then(m => m.ServiceManagerPageModule) },
{ path: 'vender-approval', loadChildren: () => import('./cardinal/vender-approval/vender-approval.module').then(m => m.VenderApprovalPageModule) },
{ path: 'service-engineer-visit', loadChildren: () => import('./cardinal/service-engineer-visit/service-engineer-visit.module').then(m => m.ServiceEngineerVisitPageModule) },
{ path: 'service-manager-details', loadChildren: () => import('./cardinal/service-manager/service-manager-details/service-manager-details.module').then(m => m.ServiceManagerDetailsPageModule) },
{ path: 'vender-approval-details', loadChildren: () => import('./cardinal/vender-approval/vender-approval-details/vender-approval-details.module').then(m => m.VenderApprovalDetailsPageModule) },
{ path: 'service-engineer-visit-detail', loadChildren: () => import('./cardinal/service-engineer-visit/service-engineer-visit-detail/service-engineer-visit-detail.module').then(m => m.ServiceEngineerVisitDetailPageModule) },
{ path: 'report/:rptid', loadChildren: () => import('./report/report.module').then(m => m.ReportPageModule) },
{ path: 'reportcategory', loadChildren: () => import('./reportcategory/reportcategory.module').then(m => m.ReportcategoryPageModule) },
{ path: 'selectorsingle/:rptid/:scontrolname/:controltype', loadChildren: () => import('./selectorsingle/selectorsingle.module').then(m => m.SelectorsinglePageModule) },
{ path: 'customer-quotation', loadChildren: () => import('./quotation/customer-quotation/customer-quotation.module').then(m => m.CustomerQuotationPageModule) },
{ path: 'add-edit-service-product', loadChildren: () => import('./quotation/add-edit-service-product/add-edit-service-product.module').then(m => m.AddEditServiceProductPageModule) },
{ path: 'quotation-approval', loadChildren: () => import('./quotation/quotation-approval/quotation-approval.module').then(m => m.QuotationApprovalPageModule) },
{ path: 'consolidation-order', loadChildren: () => import('./consolidation-order/consolidation-order.module').then(m => m.ConsolidationOrderPageModule) },
{ path: 'upload', loadChildren: () => import('./upload/upload/upload.module').then(m => m.UploadPageModule) },
{ path: 'product-filter', loadChildren: () => import('./product-filter/product-filter.module').then(m => m.ProductFilterPageModule) },
{ path: 'product-list', loadChildren: () => import('./product-list/product-list.module').then(m => m.ProductListPageModule) },
{ path: 'custom-alert', loadChildren: () => import('./custom-alert/custom-alert.module').then(m => m.CustomAlertPageModule) },
{ path: 'page-name', loadChildren: () => import('./modals/page-name/page-name.module').then(m => m.PageNamePageModule) },
{ path: 'mpr-form', loadChildren: () => import('./hrms/mpr-form/mpr-form.module').then(m => m.MprFormPageModule) },
{ path: 'mpr-list', loadChildren: () => import('./hrms/mpr-list/mpr-list.module').then(m => m.MprListPageModule) },
{ path: 'arvisitschedule', loadChildren: () => import('./arvisitschedule/arvisitschedule.module').then(m => m.ArvisitschedulePageModule) },
{ path: 'section', loadChildren: () => import('./arvisitschedule/section/section.module').then(m => m.SectionPageModule) },
{ path: 'sectionview', loadChildren: () => import('./arvisitschedule/sectionview/sectionview.module').then(m => m.SectionviewPageModule) },
{ path: 'selectorsinglequestionframwork', loadChildren: () => import('./selectorsinglequestionframwork/selectorsingle.module').then(m => m.SelectorsinglePageModule) },
{ path: 'multipleentry', loadChildren: () => import('./multipleentry/multipleentry.module').then(m => m.MultipleentryPageModule) },
{ path: 'aruserselect', loadChildren: () => import('./arvisitschedule/aruserselect/aruserselect.module').then(m => m.AruserselectPageModule) },
{ path: 'unplannedvisit', loadChildren: () => import('./arvisitschedule/unplannedvisit/unplannedvisit.module').then(m => m.UnplannedvisitPageModule) },
];

@NgModule({
  imports: [
   //  RouterModule.forRoot(routes, { preloadingStrategy: PreloadAllModules }),
     RouterModule.forRoot(routes, { useHash:true }),




  ],
 
  exports: [RouterModule]
})
export class AppRoutingModule { }
